# Test Scenarios

|author|
|------|
|Rowan Powell|


## Influx DB information

client request data is going into the ```request``` table e.g. the command 
```influx -database='testDB' -execute='SELECT * FROM request LIMIT 3'```
gives the following response;
```
name: request
time                cid                                    index                                quality segment sid
----                ---                                    -----                                ------- ------- ---
1515150959685000000 "13b1ddf5-578f-4cb8-914b-36f7253d485c" 63488dcb-549f-4a5d-9554-f74b381a20b4 7       1       "f79fab26-                                    c571-4d4b-aadf-747ff1c944a1"
```
the server response data is going into ```response``` table so typing;
```influx -database='testDB' -execute='SELECT * FROM response LIMIT 3'```
gives
```
name: response
time                cpuUsage index                                quality qualityDifference requestID
----                -------- -----                                ------- ----------------- ---------
1515150959854000000 6        f449391a-e26e-440b-8498-44b1ec793961 7       0                 63488dcb-549f-4a5d-9554-f74b381a20b4
1515150964848000000 15       123fff33-8982-4888-b0ee-846f72410db9 7       0                 d0bf70bf-2adc-4758-83a7-2a04c7ec414f
1515150969836000000 7        35b72e5a-b176-4b06-8435-a1fb455753a7 7       0                 8f6e1743-1c00-45f4-bf71-bca9ccc8c83a
```


## Scenario 1 - Linear user load increase

Simulating data from during normal usage (Users already present) and linearly increasing users

* Starting at 20 users and scaling up to 40 over the time period
* X% users using HD v Y% using SD
* A% using resource scream, B% using LegoStarWars



| Metrics | Relationships |
| ------- | ------------- |
| 